//
//  NSDateComponentsAdditions.h
//  GLUtilityKit
//
//  Created by Jeffrey Early on 12/10/09.
//  Copyright 2009 Early Innovations, LLC. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <GLUtilityKit/GLDateComponents.h>

@interface NSDateComponents (SimpleStringParsing)

// We're going to try to accept strings of the following formats,
//   YYYY-MM-DDThh:mm:ss
//   YYYY-MM-DD hh:mm:ss
//   YYYY
//   YYYY-MM
//   YYYY-MM-DD
//   YYYY-MM-DDThh:mm
//   YYYY-MM-DDThh:mm:ssTZD
//   YYYY-MM-DDThh:mm:ss.sTZD
// but also colons as delimiters.
+ (NSDateComponents *) dateComponentsWithString: (NSString *) dateString;

- (NSComparisonResult)compare:(NSDateComponents *)anotherDateComponents;

- (NSUInteger) unitFlags;

- (GLDateComponents *) glCopy;

@end

//
@interface NSTimeZone (SimpleStringParsing)

// Searches the string for a time zone
+ (NSTimeZone *) timeZoneWithString: (NSString *) dateString;
@end